## GdauiBar

GdauiBar

## Functions

GtkWidget * | gdaui_bar_new ()
const gchar * | gdaui_bar_get_text ()
void | gdaui_bar_set_text ()
void | gdaui_bar_set_icon_from_pixbuf ()
void | gdaui_bar_set_icon_from_file ()
void | gdaui_bar_set_icon_from_stock ()
void | gdaui_bar_set_show_icon ()
gboolean | gdaui_bar_get_show_icon ()

## Properties

gboolean | show-icon | Read / Write
char * | text | Read / Write

## Types and Values

| GdauiBarPrivate
struct | GdauiBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GdauiBar

## Implemented Interfaces

GdauiBar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gdaui_bar_new ()

    GtkWidget *
    gdaui_bar_new (const gchar *text);

Creates a new GdauiBar object.

#### Returns

a new GdauiBar object

### gdaui_bar_get_text ()

    const gchar *
    gdaui_bar_get_text (GdauiBar *bar);

Get the text being displayed in the given gray bar widget. This does not include any embedded underlines indicating mnemonics or Pango markup.

#### Parameters

bar | a GdauiBar widget. |

#### Returns

the text in the widget.

### gdaui_bar_set_text ()

    void
    gdaui_bar_set_text (GdauiBar *bar,
                        const gchar *text);

Set the text displayed in the given gray bar widget. This can include embedded underlines indicating mnemonics or Pango markup.

#### Parameters

bar | a GdauiBar widget |
text | a string |

### gdaui_bar_set_icon_from_pixbuf ()

    void
    gdaui_bar_set_icon_from_pixbuf (GdauiBar *bar,
                                    GdkPixbuf *pixbuf);

### gdaui_bar_set_icon_from_file ()

    void
    gdaui_bar_set_icon_from_file (GdauiBar *bar,
                                  const gchar *file);

### gdaui_bar_set_icon_from_stock ()

    void
    gdaui_bar_set_icon_from_stock (GdauiBar *bar,
                                   const gchar *stock_id,
                                   GtkIconSize size);

### gdaui_bar_set_show_icon ()

    void
    gdaui_bar_set_show_icon (GdauiBar *bar,
                             gboolean show);

Set the icon displaying mode for the given grid.

#### Parameters

bar | a GdauiBar widget. |
show | whether to show the icon or not. |

### gdaui_bar_get_show_icon ()

    gboolean
    gdaui_bar_get_show_icon (GdauiBar *bar);

Get whether the icon is being shown for the given gray bar.

#### Parameters

bar | a GdauiBar widget. |

#### Returns

TRUE if the icon is shown, FALSE if not.

## Types and Values

### GdauiBarPrivate

    typedef struct _GdauiBarPrivate GdauiBarPrivate;

### struct GdauiBar

    struct GdauiBar;

## Property Details

### The `“show-icon”` property

      “show-icon”                gboolean

Owner: GdauiBar

Flags: Read / Write

Default value: FALSE

### The `“text”` property

      “text”                     char *

Text showed inside the widget.

Owner: GdauiBar

Flags: Read / Write

Default value: NULL